Skip to main content
GET
/
v1
/
customer-portal
/
wallets
/
{id}
Get Wallet
curl --request GET \
  --url https://api.spairehq.com/v1/customer-portal/wallets/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "customer_id": "<string>",
  "balance": 123,
  "currency": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Path Parameters

id
string<uuid4>
required

The wallet ID.

Response

Successful Response

A wallet represents your balance with an organization.

You can top-up your wallet and use the balance to pay for usage.

id
string<uuid4>
required

The ID of the object.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

customer_id
string<uuid4>
required

The ID of the customer that owns the wallet.

Example:

"992fae2a-2a17-4b7a-8d9e-e287cf90131b"

balance
integer
required

The current balance of the wallet, in cents.

Example:

5000

currency
string
required

The currency of the wallet.

Example:

"usd"